%define		_vers 9.1.0
Summary: 	The W3C Web browser and editor
Name: 		amaya
Version: 	9.1
Release:	1
License: 	W3C
Group:		Internet
URL: 		http://www.w3.org/Amaya/
Source0:	amaya-fullsrc-%{version}.tgz
Source1:	%{name}.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Amaya is a Web editor, i.e. a tool used to create and update documents
directly on the Web. Browsing features are seamlessly integrated with the
editing and remote access features in a uniform environment. This follows
the original vision of the Web as a space for collaboration and not just a
one-way publishing medium.

Required. Add font path:
,/usr/share/fonts/amaya
<to  /etc/X11/fs/config>

Not Required. For completeness, not sanity, add font path:
dir "/usr/share/fonts/amaya"
<to /etc/X11/XftConfig>

%prep
%setup -q -n Amaya

%build
mkdir -p aLinux
cd aLinux
../configure \
    --prefix=%{_libdir} \
    --exec-prefix=%{_prefix} \
    --enable-nls \
    --without-included-gettext \
    --with-dav \
    --with-wx \
    --enable-redland \
    --enable-bookmarks
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{bin,lib}
cd aLinux
%makeinstall prefix=%{buildroot}%{_libdir} exec_prefix=%{buildroot}%{_prefix}
rm -f %{buildroot}%{_bindir}/amaya*; cd %{buildroot}%{_bindir}
ln -sf ../lib/Amaya-%{_vers}/wx/bin/amaya .; ln -sf amaya amaya-gtk; ln -sf amaya amaya-wx
mkdir -p %{buildroot}/usr/share/fonts; cd %{buildroot}/usr/share/fonts; ln -sf ../../lib/Amaya-%{_vers}/fonts amaya
cd %{buildroot}/usr/lib/Amaya-%{_vers}/fonts; mkfontscale
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README*
%{_bindir}
%{_libdir}
%{_datadir}
